<html>
<head>
<title>OgreMemorySTLAllocator.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">OgreMemorySTLAllocator.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHeaderPrefix_8h_source.html">OgreHeaderPrefix.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreHeaderSuffix_8h_source.html">OgreHeaderSuffix.h</a>&quot;</code><br/>
</div>
<p><a href="OgreMemorySTLAllocator_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1STLAllocatorBase.html">Ogre::STLAllocatorBase&lt; T &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper class for operating as an STL container allocator.  <a href="structOgre_1_1STLAllocatorBase.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1STLAllocatorBase_3_01const_01T_01_4.html">Ogre::STLAllocatorBase&lt; const T &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1STLAllocator.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1STLAllocator_1_1rebind.html">Ogre::STLAllocator&lt; T, AllocPolicy &gt;::rebind&lt; U &gt;</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">the standard rebind mechanism  <a href="structOgre_1_1STLAllocator_1_1rebind.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T , typename T2 , typename P &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Memory.html#gaa5b83b2ba3ce965e3d8dd129c93ee43b">Ogre::operator==</a> (STLAllocator&lt; T, P &gt; const &amp;, STLAllocator&lt; T2, P &gt; const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">determine equality, can memory from another allocator be released by this allocator, (ISO C++)  <a href="group__Memory.html#gaa5b83b2ba3ce965e3d8dd129c93ee43b"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T , typename P , typename OtherAllocator &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Memory.html#gaa34a630f2287087875d360c454a0fb48">Ogre::operator==</a> (STLAllocator&lt; T, P &gt; const &amp;, OtherAllocator const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">determine equality, can memory from another allocator be released by this allocator, (ISO C++)  <a href="group__Memory.html#gaa34a630f2287087875d360c454a0fb48"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T , typename T2 , typename P &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Memory.html#ga34a9308dc656f694883718bf8fa4f1c2">Ogre::operator!=</a> (STLAllocator&lt; T, P &gt; const &amp;, STLAllocator&lt; T2, P &gt; const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">determine equality, can memory from another allocator be released by this allocator, (ISO C++)  <a href="group__Memory.html#ga34a9308dc656f694883718bf8fa4f1c2"></a><br/></td></tr>
<tr><td class="memTemplParams" colspan="2">template&lt;typename T , typename P , typename OtherAllocator &gt; </td></tr>
<tr><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group__Memory.html#ga0cec9339a4ab3eaf48c767087cd7f400">Ogre::operator!=</a> (STLAllocator&lt; T, P &gt; const &amp;, OtherAllocator const &amp;)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">determine equality, can memory from another allocator be released by this allocator, (ISO C++)  <a href="group__Memory.html#ga0cec9339a4ab3eaf48c767087cd7f400"></a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
